Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.util
Class CharsetUtil

    java.lang.Object
      org.jboss.netty.util.CharsetUtil

    public class CharsetUtil

extends Object

A utility class that provides various common operations and constants related with `Charset` and its relevant classes.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Field Summary
`static Charset` | `ISO_8859_1` ISO Latin Alphabet No. 1, as known as `ISO-LATIN-1`
`static Charset` | `US_ASCII` 7-bit ASCII, as known as ISO646-US or the Basic Latin block of the Unicode character set
`static Charset` | `UTF_16` 16-bit UTF (UCS Transformation Format) whose byte order is identified by an optional byte-order mark
`static Charset` | `UTF_16BE` 16-bit UTF (UCS Transformation Format) whose byte order is big-endian
`static Charset` | `UTF_16LE` 16-bit UTF (UCS Transformation Format) whose byte order is little-endian
`static Charset` | `UTF_8` 8-bit UTF (UCS Transformation Format)

Method Summary
`static CharsetDecoder` | `getDecoder(Charset charset)` Returns a cached thread-local `CharsetDecoder` for the specified `charset`.
`static CharsetEncoder` | `getEncoder(Charset charset)` Returns a cached thread-local `CharsetEncoder` for the specified `charset`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UTF_16

    public static final Charset UTF_16

  16-bit UTF (UCS Transformation Format) whose byte order is identified by an optional byte-order mark

### UTF_16BE

    public static final Charset UTF_16BE

  16-bit UTF (UCS Transformation Format) whose byte order is big-endian

### UTF_16LE

    public static final Charset UTF_16LE

  16-bit UTF (UCS Transformation Format) whose byte order is little-endian

### UTF_8

    public static final Charset UTF_8

  8-bit UTF (UCS Transformation Format)

### ISO_8859_1

    public static final Charset ISO_8859_1

  ISO Latin Alphabet No. 1, as known as `ISO-LATIN-1`

### US_ASCII

    public static final Charset US_ASCII

  7-bit ASCII, as known as ISO646-US or the Basic Latin block of the Unicode character set

Method Detail

### getEncoder

    public static CharsetEncoder getEncoder(Charset charset)

  Returns a cached thread-local `CharsetEncoder` for the specified `charset`.

### getDecoder

    public static CharsetDecoder getDecoder(Charset charset)

  Returns a cached thread-local `CharsetDecoder` for the specified `charset`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.